curl --request POST \
--url https://api.vaultcord.com/members/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"serverId": 62567,
"userId": "720820224877789204",
"username": "notexttospeech",
"accessToken": "MTYxNjYwNTE3OTE0NTA5MzEy.6qrZcUqja7812RVdnEKjpzOL4CvHBFG",
"refreshToken": "D43f5y0ahjqew82jZ4NViEr2YafMKhue"
}
'import requests
url = "https://api.vaultcord.com/members/import"
payload = {
"serverId": 62567,
"userId": "720820224877789204",
"username": "notexttospeech",
"accessToken": "MTYxNjYwNTE3OTE0NTA5MzEy.6qrZcUqja7812RVdnEKjpzOL4CvHBFG",
"refreshToken": "D43f5y0ahjqew82jZ4NViEr2YafMKhue"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
serverId: 62567,
userId: '720820224877789204',
username: 'notexttospeech',
accessToken: 'MTYxNjYwNTE3OTE0NTA5MzEy.6qrZcUqja7812RVdnEKjpzOL4CvHBFG',
refreshToken: 'D43f5y0ahjqew82jZ4NViEr2YafMKhue'
})
};
fetch('https://api.vaultcord.com/members/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Imported member"
}{
"success": false,
"message": "New login required #2"
}Import Member OAuth2 tokens
Import Member OAuth2 tokens. See here for easy-to-use program to convert Discord token into VaultCord auths https://www.youtube.com/watch?v=th1QQlxiyTs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Details for Discord you want pulled into
VaultCord server ID, you can find this from List Servers API endpoint
62567
Discord snowflake ID for specific member/user.
"720820224877789204"
Discord username. It doesn't need to match the actual username, put any random text here if you don't know the username.
"notexttospeech"
Discord OAuth2 access token from https://discord.com/developers/docs/topics/oauth2#authorization-code-grant-access-token-response
"MTYxNjYwNTE3OTE0NTA5MzEy.6qrZcUqja7812RVdnEKjpzOL4CvHBFG"
Discord OAuth2 refresh token from https://discord.com/developers/docs/topics/oauth2#authorization-code-grant-access-token-response
"D43f5y0ahjqew82jZ4NViEr2YafMKhue"
Was this page helpful?